## Index

### Classes

- BaseForLines

### Interfaces

- IGameCode
- IGameCodeWithSource

### Functions

- getLineAndColumn

## Functions

### getLineAndColumn

- getLineAndColumn(str: string, offset: number): object

- - Defined in models/BaseForLines.ts:14

  #### Parameters

  - ##### str: string

  - ##### offset: number

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

Generated using TypeDoc